Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039754
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementminorhave not tried2018-11-22 09:392018-12-12 16:32
ReporterSandrahuguetView Statuspublic 
Assigned ToSandrahuguet 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q3.4
StatusclosedFix in branchFixed in SCM revision59876bd4506b
ProjectionnoneETAnoneTarget Version3.0PR18Q3.4
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2017-03-11
Regression introduced in release3.0PR17Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/498699b38a5d0ddb368c9be379e25eb2732ee091 [^]
Triggers an Emergency PackNo
Summary

0039754: Improve contention problems in fin_financial_account

DescriptionIn order to avoid concurrency problems when the current balance is calculated a lock was added in issue 35137. This lock is necessary, but is possible to reduce the lock and calculate the current balance at the end of the process.
Steps To Reproduce- In order to easily simulate the 2 transactions are processed at same time it is necessary to set a break-point just after execution of following code :

financialAccount.setCurrentBalance(financialAccount.getCurrentBalance().subtract(transaction.getDepositAmount()).add(transaction.getPaymentAmount()));

- Go to Payment In and create a payment:
  Organization: F&B España - Region Norte
  Received From: Alimentos y Supermercados, S.A
  Payment Method: Transferencia
  Deposit To: Cuenta de Banco - EUR
  Amount: 100
  In Add details - > Overpayment Action: Leave the credit to be used later
  Done and execution should be stopped in previous break-point

- Open "new incognito window" in Chrome and access
  Go to Payment In and create a new payment:
  Organization: F&B España - Region Norte
  Received From: Restaurantes Luna Llena, S.A.
  Payment Method: Transferencia
  Deposit To: Cuenta de Banco - EUR
  Amount: 200
  Click in add details, the popup does not open, save the header is locked
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0039672 closedSandrahuguet Improve contention problems in fin_financial_account 

-  Notes
(0108287)
hgbot (developer)
2018-12-05 15:22

Repository: erp/backports/3.0PR18Q3.4
Changeset: 81316a286ec64be801c87cddb601100300ba7380
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Dec 05 12:39:29 2018 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR18Q3.4/rev/81316a286ec64be801c87cddb601100300ba7380 [^]

Fixed issue 39754 reduce lock and calculate the current balance at the end of the process

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_TransactionProcess.java
---
(0108289)
hgbot (developer)
2018-12-05 15:22

Repository: erp/backports/3.0PR18Q3.4
Changeset: 64b4b97a3274bd1fa01f75f5dad53b2c37fe5e1d
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Dec 05 12:51:21 2018 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR18Q3.4/rev/64b4b97a3274bd1fa01f75f5dad53b2c37fe5e1d [^]

related to issue 39754 use lockForNoKeyUpdate instead of lockFinAccount

Use lockForNoKeyUpdate instead of use lockFinAccount in which a
"FOR UPDATE" is done and is too agressive.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_TransactionProcess.java
---
(0108306)
hgbot (developer)
2018-12-05 17:53

Repository: erp/backports/3.0PR18Q3.4
Changeset: 1d4d9b87c8f48b4eb03a50c87a0c4af09c616f4c
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Dec 05 17:53:45 2018 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR18Q3.4/rev/1d4d9b87c8f48b4eb03a50c87a0c4af09c616f4c [^]

related to issue 39754 Backed out changeset 64b4b97a3274

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_TransactionProcess.java
---
(0108413)
hgbot (developer)
2018-12-11 17:52

Repository: erp/backports/3.0PR18Q3.4
Changeset: 59876bd4506b93f9e1322c6924ee63ab01763e46
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Dec 11 17:44:03 2018 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR18Q3.4/rev/59876bd4506b93f9e1322c6924ee63ab01763e46 [^]

fixed issue 39754 use the new method getObjectLockForNoKeyUpdate

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_TransactionProcess.java
---
(0108554)
vmromanos (developer)
2018-12-12 16:32

Code review OK

- Issue History
Date Modified Username Field Change
2018-12-04 15:14 Sandrahuguet Type defect => backport
2018-12-04 15:14 Sandrahuguet Target Version 3.0PR19Q2 => 3.0PR18Q3.4
2018-12-04 15:29 Sandrahuguet Assigned To Triage Finance => Sandrahuguet
2018-12-05 13:19 Sandrahuguet Review Assigned To => vmromanos
2018-12-05 15:22 hgbot Checkin
2018-12-05 15:22 hgbot Note Added: 0108287
2018-12-05 15:22 hgbot Status scheduled => resolved
2018-12-05 15:22 hgbot Resolution open => fixed
2018-12-05 15:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR18Q3.4/rev/81316a286ec64be801c87cddb601100300ba7380 [^]
2018-12-05 15:22 hgbot Checkin
2018-12-05 15:22 hgbot Note Added: 0108289
2018-12-05 17:53 hgbot Checkin
2018-12-05 17:53 hgbot Note Added: 0108306
2018-12-05 17:55 Sandrahuguet Status resolved => new
2018-12-05 17:55 Sandrahuguet Resolution fixed => open
2018-12-11 17:52 hgbot Checkin
2018-12-11 17:52 hgbot Note Added: 0108413
2018-12-11 17:52 hgbot Status new => resolved
2018-12-11 17:52 hgbot Resolution open => fixed
2018-12-11 17:52 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR18Q3.4/rev/81316a286ec64be801c87cddb601100300ba7380 [^] => http://code.openbravo.com/erp/backports/3.0PR18Q3.4/rev/59876bd4506b93f9e1322c6924ee63ab01763e46 [^]
2018-12-12 16:32 vmromanos Note Added: 0108554
2018-12-12 16:32 vmromanos Status resolved => closed
2018-12-12 16:32 vmromanos Fixed in Version => 3.0PR18Q3.4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker